# Generated by Django 3.2.13 on 2022-11-16 23:19

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        ("lib", "0001_initial"),
        ("profiles", "0003_alter_user_username"),
    ]

    operations = [
        migrations.CreateModel(
            name="TaggedMembership",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="TeamMembership",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        help_text="A comma-separated list of tags.",
                        through="profiles.TaggedMembership",
                        to="lib.Tag",
                        verbose_name="Tags",
                    ),
                ),
                (
                    "team",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="profiles.team"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="taggedmembership",
            name="content_object",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="profiles.teammembership",
            ),
        ),
        migrations.AddField(
            model_name="taggedmembership",
            name="tag",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="profiles_taggedmembership_items",
                to="lib.tag",
            ),
        ),
        migrations.AddField(
            model_name="team",
            name="new_members",
            field=models.ManyToManyField(
                related_name="_profiles_team_new_members_+",
                through="profiles.TeamMembership",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
